<?xml version='1.1' encoding='UTF-8'?>
<annotation-array>
  <bug plugin="pmd@4.0.0">
    <message>Avoid unused local variables such as &apos;res&apos;.</message>
    <priority>NORMAL</priority>
    <key>-1780256633227465281</key>
    <lineRanges>
      <range plugin="analysis-core@1.96">
        <start>38</start>
        <end>38</end>
      </range>
    </lineRanges>
    <primaryLineNumber>38</primaryLineNumber>
    <fileName>/home/devops/.jenkins/workspace/PrashanthMavenTest/src/main/java/com/qaagility/HelloWebApp.java</fileName>
    <moduleName>HelloWorld Maven Project</moduleName>
    <packageName>com.qaagility</packageName>
    <category>Best Practices</category>
    <type>UnusedLocalVariable</type>
    <contextHashCode>1290402645</contextHashCode>
    <origin>pmd</origin>
    <pathName>home/devops/.jenkins/workspace/PrashanthMavenTest/src/main/java/com/qaagility</pathName>
    <primaryColumnStart>17</primaryColumnStart>
    <primaryColumnEnd>19</primaryColumnEnd>
    <build>5</build>
    <tooltip></tooltip>
  </bug>
  <bug plugin="pmd@4.0.0">
    <message>Avoid unused imports such as &apos;javax.servlet.http.HttpSessionBindingListener&apos;.</message>
    <priority>NORMAL</priority>
    <key>-1780256633227465283</key>
    <lineRanges>
      <range plugin="analysis-core@1.96">
        <start>8</start>
        <end>8</end>
      </range>
    </lineRanges>
    <primaryLineNumber>8</primaryLineNumber>
    <fileName reference="../../bug/fileName"/>
    <moduleName reference="../../bug/moduleName"/>
    <packageName reference="../../bug/packageName"/>
    <category>Best Practices</category>
    <type>UnusedImports</type>
    <contextHashCode>1345419109</contextHashCode>
    <origin>pmd</origin>
    <pathName>home/devops/.jenkins/workspace/PrashanthMavenTest/src/main/java/com/qaagility</pathName>
    <primaryColumnStart>1</primaryColumnStart>
    <primaryColumnEnd>53</primaryColumnEnd>
    <build>5</build>
    <tooltip></tooltip>
  </bug>
  <bug plugin="pmd@4.0.0">
    <message>Avoid unused imports such as &apos;java.util.Date&apos;.</message>
    <priority>NORMAL</priority>
    <key>-1780256633227465282</key>
    <lineRanges>
      <range plugin="analysis-core@1.96">
        <start>9</start>
        <end>9</end>
      </range>
    </lineRanges>
    <primaryLineNumber>9</primaryLineNumber>
    <fileName reference="../../bug/fileName"/>
    <moduleName reference="../../bug/moduleName"/>
    <packageName reference="../../bug/packageName"/>
    <category>Best Practices</category>
    <type>UnusedImports</type>
    <contextHashCode>-1520033526</contextHashCode>
    <origin>pmd</origin>
    <pathName>home/devops/.jenkins/workspace/PrashanthMavenTest/src/main/java/com/qaagility</pathName>
    <primaryColumnStart>1</primaryColumnStart>
    <primaryColumnEnd>22</primaryColumnEnd>
    <build>5</build>
    <tooltip></tooltip>
  </bug>
</annotation-array>